### Method

# Ggit Mailmap resolve_signature

#### Declaration [src]

    GgitSignature*
    ggit_mailmap_resolve_signature (
      GgitMailmap* mailmap,
      GgitSignature* signature,
      GError** error
    )

#### Description [src]

Resolves `signature` to use the real name and email according to `mailmap`. If `mailmap` is `NULL`, no substitution is performed, but a new signature is still allocated and returned.

#### Parameters

`mailmap`

  Type: `GgitMailmap`

  The mailmap to resolve names and emails with.

  The argument can be `NULL`.

`signature`

  Type: `GgitSignature`

  The commit signature as recorded.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitSignature`

The corrected signature or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.